import { r as registerInstance, h, H as Host } from './index-fb59ea2a.js';

const bxContainerCss = ":host{display:block}";

const BxContainer = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { class: "container" }, h("slot", null)));
    }
};
BxContainer.style = bxContainerCss;

export { BxContainer as bx_container };
