import { ComponentInterface, EventEmitter } from '../../stencil-public-runtime';
import { Breadcrumb } from './bx-breadcrumb.dto';
export declare class BxBreadcrumb implements ComponentInterface {
    private element;
    separator: string;
    breadcrumbs?: Breadcrumb[] | string;
    componentWillLoad(): void;
    private get parseBreadcrumbs();
    private computedBreadcrumbs;
    private generateBreadcrumb;
    private onClick;
    private makeActive;
    render(): any;
    add(breadcrumb: Breadcrumb): Promise<void>;
    active(text: String): Promise<void>;
    delete(text: String): Promise<void>;
    dispose(): Promise<void>;
    /**
     * A click event for breadcrumb items
     */
    clicked: EventEmitter<Breadcrumb>;
}
