import { Component, Host, h } from '@stencil/core';
export class BxContainer {
    render() {
        return (h(Host, { class: "container" },
            h("slot", null)));
    }
    static get is() { return "bx-container"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["bx-container.css"]
    }; }
    static get styleUrls() { return {
        "$": ["bx-container.css"]
    }; }
}
